<?php
/**
 * Created by PhpStorm.
 * User: heyu
 * Date: 2019-05-16
 * Time: 16:56
 */
namespace kwy\mybank;


class MybankPayOrder
{

    private $result;

    public function __construct($result)
    {
        $this->result=$result;
    }


    /**
     * 获取网商交易号
     * @return string
     */
    public function getMybankOrderNo(){
        return '';
    }


    /**
     * 微信支付宝 流水号
     * @return string
     */
    public function getFirstOrderNo(){
        return $this->result['PayChannelOrderNo'];
    }


    /**
     * 获取用户端 交易流水号 一维码 退款码
     * @return string
     */
    public function getMerchantOrderNo(){
        return $this->result['MerchantOrderNo'];
    }

    /**
     * 交易金额
     * @return string
     */
    public function getAmount(){
        return $this->result['TotalAmount'];
    }

    /**
     * 获取商户号
     * @return string
     */
    public function getMerchantId(){
        return $this->result['MerchantId'];
    }

    /**
     * 交易付款银行  CFT 微信零钱
     * @return string
     */
    public function getBankType(){
        return $this->result['BankType'];
    }

    /**
     * 获取交易实际支付时间
     * @return string  exp: "2019-05-27 16:06:33"
     */
    public function getPayTime(){
        return $this->result['GmtPayment'];
    }

    /**
     * @return string
     */
    public function getOpenid(){
        return $this->result['OpenId'];
    }

    /**
     * 获取subopenid
     * @return string
     */
    public function getSubOpenId(){
        return $this->result['SubOpenId'];
    }

    /**
     * @return string "WX"|"ALI"
     */
    public function getPayMethod(){
        return $this->result['ChannelType'];
    }

}