<?php
/**
 * Created by PhpStorm.
 * User: heyu
 * Date: 2019-05-16
 * Time: 15:25
 */

namespace kwy\mybank\exception;


use Throwable;

class MybankException extends \Exception
{
    private $req_msgid='';

    private $result;


    public function __construct($message = "", $code = 0, Throwable $previous = null,$result=null)
    {
        parent::__construct($message, $code, $previous);
        $this->result=$result;
    }

    /**
     * 获取网商交易异常提示
     * @return string
     */
    public function getMybankExceptionMessage(){
        if (empty($this->result)){
            return parent::getMessage();
        }else{
            return $this->result['RespInfo']['ResultMsg'];
        }
    }

    /**
     * @return string
     */
    public function getReqMsgid()
    {
        return $this->req_msgid;
    }

    /**
     * @param string $req_msgid
     */
    public function setReqMsgid($req_msgid)
    {
        $this->req_msgid = $req_msgid;
    }

    /**
     * @return mixed
     */
    public function getResult()
    {
        return $this->result;
    }

    /**
     * @param mixed $result
     */
    public function setResult($result)
    {
        $this->result = $result;
    }





}