<?php
/**
 * Created by PhpStorm.
 * User: heyu
 * Date: 2019-05-16
 * Time: 14:40
 */
namespace test\kwy\mybank;

use kwy\mybank\exception\MybankException;
use kwy\mybank\MybankPay;
use kwy\mybank\MybankPayOrder;
use PHPUnit\Framework\TestCase;

class MybankPayTest extends TestCase
{

    protected $appid='2018091100000289';
    protected $isvOrgId='202210000000000001319';


    public function testJsPay(){
        $sdk=new MybankPay();
        $sdk->setAppid('2018091100000289');
        $sdk->setIsvOrgId('202210000000000001319');
        $sdk->setEnv(MYBANK_ENV_PRODUCT);
        $sdk->setPrivateKey(__DIR__.'/certs/private_key.pem');
        $sdk->setPublicKey(__DIR__.'/certs/金融云-网商-开放平台-公钥-rsa2048-public_195493-生产.pem');

        try{
            $mchid='226801000007786506312';
            $openid='2088002481289545';
            //$openid='2088012193101154';
            $appid='';
            try{
                $ret=$sdk->jsPay(1,'20190621004','收款0.01元',$mchid,$openid,$appid);
                var_dump($sdk->getLastApiLog());
                var_dump($ret);
            }catch ( \Exception $e){
                var_dump($e->getMessage());
            }
        }catch (\kwy\mybank\exception\MybankException $e){

            var_dump($e);
            //var_dump($e->getMybankExceptionMessage());
            //throw $e;
        }
    }

    public function testMicroPay()
    {

    }

    public function testQuery()
    {
        $sdk=new MybankPay();
        $sdk->setAppid($this->appid);
        $sdk->setIsvOrgId($this->isvOrgId);
        $sdk->setEnv(MYBANK_ENV_PRODUCT);
        $sdk->setPrivateKey(__DIR__.'/certs/private_key.pem');
        $sdk->setPublicKey(__DIR__.'/certs/金融云-网商-开放平台-公钥-rsa2048-public_195493-生产.pem');


        $ret=$sdk->query('226801000007774011210','190124131930421382');
        $this->assertEquals(MybankPayOrder::class,get_class($ret));

        try{
            $sdk->query('226801000007774011210','190124131930421381');
        }catch (MybankException $e){
            $this->assertEquals('支付单受理失败，请换单重试',$e->getMessage());
        }

        try{
            $ret=$sdk->query('226801000008149527841','190516181416208645');
            var_dump($ret);
            $this->assertEquals(MybankPayOrder::class,get_class($ret));
        }catch (MybankException $e){
            $this->assertEquals('支付失败',$e->getMessage(),'异常：'.$e->getMessage());
        }



        //


    }
}
